DeutschEspañolFrançaisItalianoNederlandsPortuguêsΕλληνικάРусскийالعربية中文(简体)中文(繁體)日本語한국어
 
Donate Bitcoins
Google
 
www smithii.com
 

Fixing udev's breaking apt-get dist-upgrade

I ran

apt-get dist-upgrade

on my sid box, and got the error

Preparing to replace udev 0.056-3 (using .../archives/udev_0.063-1_i386.deb) ...
udev requires a kernel >= 2.6.12, upgrade aborted.
dpkg: error processing /var/cache/apt/archives/udev_0.063-1_i386.deb (--unpack):
 subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/udev_0.063-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

which is mentioned here.

So, after looking at the manual for
apt_preferences, I added

Package: udev
Pin: version 0.056*
Pin-Priority: 1001

to /etc/apt/preferences and reran

apt-get dist-upgrade

and all is well.

I don't understand why someone would commit a package that relies on a kernel that isn't even in sid yet.

DeutschEspañolFrançaisItalianoNederlandsPortuguêsΕλληνικάРусскийالعربية中文(简体)中文(繁體)日本語한국어
 
Donate Bitcoins
Google
 
www smithii.com
 
Special thanks to Riester Rente Online for a generous donation!